Bug 1249701 - Images fail to download from time to time, restarting docker.service helps
Images fail to download from time to time, restarting docker.service helps
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
22
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Michal Minar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 11:20 EDT by Viktor Jancik
Modified: 2016-02-12 07:59 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 13:32:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viktor Jancik 2015-08-03 11:20:09 EDT
Description of problem:
Sometimes, downloading a docker image fails. This wouldn't be that much of a problem, if it could be quickly restarted, but the timeout seems to be over a minute and Ctrl+C doesn't kill the attempt to download (runs in the background) and prevents a retry, until the last one finishes.

Version-Release number of selected component (if applicable):
Docker version 1.7.1.fc22, build b6416b7/1.7.1

How reproducible:
Sometimes

Steps to Reproduce:
1. Make sure not to have the containers for the image downloaded.
2. docker run -it fedora:latest bash

Actual results:
Unable to find image 'fedora:latest' locally
Trying to pull repository docker.io/fedora ... failed
Get https://index.docker.io/v1/repositories/library/fedora/images: dial tcp: lookup index.docker.io: No address associated with hostname

Expected results:
Successful download and run.

Additional info:
The only way to retry quickly, is to restart docker.service. After this, it usually works, so I am sure it's not a docker.io blackout.
Comment 1 Daniel Walsh 2015-08-21 00:09:22 EDT
I have no idea what could cause this.

Michal any ideas?
Comment 2 Daniel Walsh 2015-09-29 09:58:26 EDT
Are you still seeing this problem with docker-1.8.2?
Comment 3 Honza Horak 2016-02-12 07:59:07 EST
Viktor is no longer in RH, so clearing the needinfo.

Note You need to log in before you can comment on or make changes to this bug.